# Intel® Enhanced Privacy ID SDK: EpidCaCertificate Struct Reference

EpidCaCertificate Struct Reference
epid » common » fileparser

IoT CA Certificate binary format. More...

`#include <epid/common/file_parser.h>`

## Data Fields

EpidFileHeader | header
| Intel(R) EPID binary file header.
OctStr512 | pubkey
| Public Key (Qx, Qy)
OctStr256 | prime
| Prime of GF(p)
OctStr256 | a
| Coefficient of E Curve.
OctStr256 | b
| Coefficient of E Curve.
OctStr256 | x
| X coordinate of Base point G.
OctStr256 | y
| Y coordinate of Base point G.
OctStr256 | r
| Order of base point.
EcdsaSignature | signature
| ECDSA Signature on SHA-256 of above values.

## Detailed Description

IoT CA Certificate binary format.

Examples:
  signmsg.c, and verifysig.c.

The documentation for this struct was generated from the following file:

- epid/common/file_parser.h